From 60a4bd330689b2378e49f2335209bd64a653fab2 Mon Sep 17 00:00:00 2001
From: Alexander Tsoy <alexander@tsoy.me>
Date: Mon, 10 Feb 2020 16:09:09 +0300
Subject: [PATCH] Fix build with -fno-common

GCC 10 defaults to -fno-common.

Closes #516
---
 src/client/cl_main.c       | 18 ------------------
 src/client/header/client.h |  1 +
 src/client/input/sdl.c     |  2 --
 3 files changed, 1 insertion(+), 20 deletions(-)

diff --git a/src/client/cl_main.c b/src/client/cl_main.c
index 135407d1..7fc1e6df 100644
--- a/src/client/cl_main.c
+++ b/src/client/cl_main.c
@@ -35,8 +35,6 @@ void CL_Connect_f(void);
 void CL_Rcon_f(void);
 void CL_CheckForResend(void);
 
-cvar_t *freelook;
-
 cvar_t *rcon_client_password;
 cvar_t *rcon_address;
 
@@ -58,14 +56,6 @@ cvar_t *cl_showclamp;
 cvar_t *cl_paused;
 cvar_t *cl_loadpaused;
 
-cvar_t *lookstrafe;
-cvar_t *sensitivity;
-
-cvar_t *m_pitch;
-cvar_t *m_yaw;
-cvar_t *m_forward;
-cvar_t *m_side;
-
 cvar_t *cl_lightlevel;
 
 /* userinfo */
@@ -516,14 +506,6 @@ CL_InitLocal(void)
 	cl_anglespeedkey = Cvar_Get("cl_anglespeedkey", "1.5", 0);
 
 	cl_run = Cvar_Get("cl_run", "0", CVAR_ARCHIVE);
-	freelook = Cvar_Get("freelook", "1", CVAR_ARCHIVE);
-	lookstrafe = Cvar_Get("lookstrafe", "0", CVAR_ARCHIVE);
-	sensitivity = Cvar_Get("sensitivity", "3", CVAR_ARCHIVE);
-
-	m_pitch = Cvar_Get("m_pitch", "0.022", CVAR_ARCHIVE);
-	m_yaw = Cvar_Get("m_yaw", "0.022", 0);
-	m_forward = Cvar_Get("m_forward", "1", 0);
-	m_side = Cvar_Get("m_side", "1", 0);
 
 	cl_shownet = Cvar_Get("cl_shownet", "0", 0);
 	cl_showmiss = Cvar_Get("cl_showmiss", "0", 0);
diff --git a/src/client/header/client.h b/src/client/header/client.h
index 1a31a1ca..b42abc02 100644
--- a/src/client/header/client.h
+++ b/src/client/header/client.h
@@ -302,6 +302,7 @@ extern	cvar_t	*cl_timedemo;
 extern	cvar_t	*cl_vwep;
 extern	cvar_t  *horplus;
 extern	cvar_t	*cin_force43;
+extern	cvar_t	*vid_fullscreen;
 
 typedef struct
 {
diff --git a/src/client/input/sdl.c b/src/client/input/sdl.c
index 3c7356fa..c8055f3b 100644
--- a/src/client/input/sdl.c
+++ b/src/client/input/sdl.c
@@ -62,7 +62,6 @@ int sys_frame_time;
 qboolean joy_altselector_pressed = false;
 
 // Console Variables
-cvar_t *vid_fullscreen;
 cvar_t *freelook;
 cvar_t *lookstrafe;
 cvar_t *m_forward;
@@ -1246,7 +1245,6 @@ IN_Init(void)
 	joy_axis_triggerleft_threshold = Cvar_Get("joy_axis_triggerleft_threshold", "0.15", CVAR_ARCHIVE);
 	joy_axis_triggerright_threshold = Cvar_Get("joy_axis_triggerright_threshold", "0.15", CVAR_ARCHIVE);
 
-	vid_fullscreen = Cvar_Get("vid_fullscreen", "0", CVAR_ARCHIVE);
 	windowed_mouse = Cvar_Get("windowed_mouse", "1", CVAR_USERINFO | CVAR_ARCHIVE);
 
 	Cmd_AddCommand("+mlook", IN_MLookDown);
-- 
2.24.1

